## GstPadTemplate GstPadTemplate |

## Functions

#define | GST_STATIC_PAD_TEMPLATE()
GstPadTemplate * | gst_static_pad_template_get ()
GstCaps * | gst_static_pad_template_get_caps ()
#define | GST_PAD_TEMPLATE_NAME_TEMPLATE()
#define | GST_PAD_TEMPLATE_DIRECTION()
#define | GST_PAD_TEMPLATE_PRESENCE()
#define | GST_PAD_TEMPLATE_CAPS()
#define | GST_PAD_TEMPLATE_IS_FIXED()
GstPadTemplate * | gst_pad_template_new ()
GstCaps * | gst_pad_template_get_caps ()

## Properties

GstCaps * | caps | Read / Write / Construct Only
GstPadDirection | direction | Read / Write / Construct Only
gchar * | name-template | Read / Write / Construct Only
GstPadPresence | presence | Read / Write / Construct Only

## Signals

void | pad-created | Run Last

## Types and Values

struct | GstStaticPadTemplate
struct | GstPadTemplate
enum | GstPadTemplateFlags
enum | GstPadPresence

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstPadTemplate

## Includes

    #include <gst/gst.h>

## Description

## Functions

### GST_STATIC_PAD_TEMPLATE()

    #define             GST_STATIC_PAD_TEMPLATE(padname, dir, pres, caps)

### gst_static_pad_template_get ()

    GstPadTemplate *
    gst_static_pad_template_get (GstStaticPadTemplate *pad_template);

### gst_static_pad_template_get_caps ()

    GstCaps *
    gst_static_pad_template_get_caps (GstStaticPadTemplate *templ);

### GST_PAD_TEMPLATE_NAME_TEMPLATE()

    #define GST_PAD_TEMPLATE_NAME_TEMPLATE(templ) (((GstPadTemplate *)(templ))->name_template)

### GST_PAD_TEMPLATE_DIRECTION()

    #define GST_PAD_TEMPLATE_DIRECTION(templ) (((GstPadTemplate *)(templ))->direction)

### GST_PAD_TEMPLATE_PRESENCE()

    #define GST_PAD_TEMPLATE_PRESENCE(templ) (((GstPadTemplate *)(templ))->presence)

### GST_PAD_TEMPLATE_CAPS()

    #define GST_PAD_TEMPLATE_CAPS(templ)		(((GstPadTemplate *)(templ))->caps)

### GST_PAD_TEMPLATE_IS_FIXED()

    #define GST_PAD_TEMPLATE_IS_FIXED(templ) (GST_OBJECT_FLAG_IS_SET(templ, GST_PAD_TEMPLATE_FIXED))

### gst_pad_template_new ()

    GstPadTemplate *
    gst_pad_template_new (const gchar *name_template,
                          GstPadDirection direction,
                          GstPadPresence presence,
                          GstCaps *caps);

### gst_pad_template_get_caps ()

    GstCaps *
    gst_pad_template_get_caps (GstPadTemplate *templ);

## Types and Values

### struct GstStaticPadTemplate

    struct GstStaticPadTemplate {
      const gchar     *name_template;
      GstPadDirection  direction;
      GstPadPresence   presence;
      GstStaticCaps    static_caps;
    };

### struct GstPadTemplate

    struct GstPadTemplate;

### enum GstPadTemplateFlags

#### Members

GST_PAD_TEMPLATE_FLAG_LAST |  |

### enum GstPadPresence

#### Members

GST_PAD_ALWAYS |  |
GST_PAD_SOMETIMES |  |
GST_PAD_REQUEST |  |

## Property Details

### The `“caps”` property

      “caps”                     GstCaps *

The capabilities of the pad described by the pad template.

Flags: Read / Write / Construct Only

### The `“direction”` property

      “direction”                GstPadDirection

The direction of the pad described by the pad template.

Flags: Read / Write / Construct Only

Default value: GST_PAD_UNKNOWN

### The `“name-template”` property

      “name-template”            gchar *

The name template of the pad template.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“presence”` property

      “presence”                 GstPadPresence

When the pad described by the pad template will become available.

Flags: Read / Write / Construct Only

Default value: GST_PAD_ALWAYS

## Signal Details

### The `“pad-created”` signal

    void
    user_function (GstPadTemplate *gstpadtemplate,
                   GstPad         *arg1,
                   gpointer        user_data)

Flags: Run Last